var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import fetch from 'node-fetch';
import dotenv from 'dotenv';
dotenv.config();
export default (messageID, sendType, profileKey) => __awaiter(void 0, void 0, void 0, function* () {
    let serverHost = '';
    switch (sendType) {
        case 'test':
            serverHost = 'https://dev-alimtalk-api.bizmsg.kr:1443';
            break;
        case 'mock-success':
            const mockSuccessReportJSON = {
                code: 'success',
                msgid: 'mockMessageID',
                message: 'mockMessage',
            };
            return mockSuccessReportJSON;
        case 'mock-fail':
            const mockFailReportJSON = {
                code: 'fail',
                msgid: 'mockMessageID',
                message: 'mockMessage',
            };
            return mockFailReportJSON;
        case 'default':
            serverHost = 'https://alimtalk-api.bizmsg.kr/';
            break;
    }
    const response = yield fetch(`${serverHost}/v2/sender/report?profile=${profileKey}&msgid=${messageID}`, {
        method: 'get',
        headers: {
            userid: `${process.env.BIZMSGID}`,
        },
    });
    const getReportResponse = (yield response.json());
    // code, [SUCCESS]data.msgid?, [FAIL]message?
    const cleanedJSON = {
        code: getReportResponse.code,
        msgid: getReportResponse.data.msgid,
        message: getReportResponse.message,
    };
    return cleanedJSON;
});
//# sourceMappingURL=index.js.map