var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import fetch from 'node-fetch';
import dotenv from 'dotenv';
dotenv.config();
export default (messageBody, sendType) => __awaiter(void 0, void 0, void 0, function* () {
    var _a;
    let serverHost = '';
    switch (sendType) {
        case 'test':
            serverHost = 'https://dev-alimtalk-api.bizmsg.kr:1443';
            break;
        case 'mock-success':
            const mockSuccessReportJSON = {
                code: 'success',
                msgid: 'mockMessageID',
                message: 'mockMessage',
            };
            return mockSuccessReportJSON;
        case 'mock-fail':
            const mockFailReportJSON = {
                code: 'fail',
                msgid: 'mockMessageID',
                message: 'mockMessage',
            };
            return mockFailReportJSON;
        case 'default':
            serverHost = 'https://alimtalk-api.bizmsg.kr/';
            break;
    }
    const response = yield fetch(`${serverHost}/v2/sender/send`, {
        method: 'post',
        headers: {
            'Content-type': 'application/json',
            userid: `${process.env.BIZMSGID}`,
        },
        body: messageBody,
    });
    const sendMessageResponseArray = yield response.json();
    const sendMessageResponse = Array.isArray(sendMessageResponseArray)
        ? sendMessageResponseArray[0]
        : sendMessageResponseArray;
    // code, [SUCCESS]data.msgid?, [FAIL]message?
    const cleanedJSON = {
        code: sendMessageResponse.code,
        msgid: (_a = sendMessageResponse.data) === null || _a === void 0 ? void 0 : _a.msgid,
        message: sendMessageResponse.message,
    };
    console.log(JSON.stringify(sendMessageResponseArray, null, 2));
    return cleanedJSON;
});
//# sourceMappingURL=index.js.map