var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import sendMessage from '#src/models/send-message/index';
import getCorrectError from '#src/utils/get-correct-error';
export const sendPhoneMessage = (sendType, phoneNumber, phoneMessageType, message, senderPhoneNumber, profileKey, messageTitle) => __awaiter(void 0, void 0, void 0, function* () {
    const messageBody = JSON.stringify([
        {
            message_type: 'AT',
            phn: phoneNumber,
            profile: profileKey,
            msg: '',
            smsKind: phoneMessageType,
            msgSms: message,
            smsSender: senderPhoneNumber,
            smsLmsTit: messageTitle,
            smsOnly: 'Y',
        },
    ]);
    const sendMessageResponse = yield sendMessage(messageBody, sendType);
    // throw error if response code of the notification message === 'fail'
    if (sendMessageResponse.code === 'fail') {
        throw getCorrectError(sendMessageResponse);
    }
    return sendMessageResponse;
});
//# sourceMappingURL=send-phone-message.js.map