export default (templateMessage, keyValue) => {
    let message = templateMessage;
    const keyInTemplateArray = templateMessage.match(/\#\{([^\}]+)\}/gm);
    if (!keyInTemplateArray) {
        return message;
    }
    for (const keyInTemplate of keyInTemplateArray) {
        const key = keyInTemplate.toString().replace(/\#\{|\}/gm, '');
        // missing required key-value pair
        if (!keyValue[key]) {
            throw new Error('Missing required key-value pair');
        }
        message = message.replace(`#{${key}}`, `${keyValue[key]}`);
    }
    return message;
};
//# sourceMappingURL=insert-key-value-to-message.js.map